﻿@page
@model Vinoramix.Web.Pages.Reviews.IndexModel

@{
    ViewData["Title"] = "Reviews";
}

<h1>Reviews</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Reviews[0].Note)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Reviews[0].Comment)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Reviews[0].CreatedOn)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Reviews) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Note)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Comment)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedOn)
            </td>
            <td>
                <a asp-page="./Details" asp-route-id="@item.Id">Details</a> |
                <a asp-page="./Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
